com.smartgwt.client.widgets.calendar.events

## Class CalendarEventResized

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<EventResizedHandler>
        - - com.smartgwt.client.widgets.calendar.events.CalendarEventResized

- All Implemented Interfaces:
    Cancellable

  Deprecated.
  Please use addEventResize[Move/Stop]Handler instead, this will be removed in a future release.

      public class CalendarEventResized
      extends BrowserEvent<EventResizedHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarEventResized(JavaScriptObject jsObj)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Deprecated. Call this method to disallow the resize
    `protected void` | `dispatch(EventResizedHandler handler)` Deprecated.
    `static <S extends HasEventResizedHandlers & HasHandlers> void` | `fire(S source, JavaScriptObject jsObj)` Deprecated. Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `GwtEvent.Type<EventResizedHandler>` | `getAssociatedType()` Deprecated.
    `CalendarEvent` | `getEvent()` Deprecated. the event as it will be after this resize
    `java.util.Date` | `getNewDate()` Deprecated. new end date and time that event is being resized to
    `static GwtEvent.Type<EventResizedHandler>` | `getType()` Deprecated. Gets the type associated with this event.
    `boolean` | `isCancelled()` Deprecated.

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEventResized

          public CalendarEventResized(JavaScriptObject jsObj)

      Deprecated.

  - ### Method Detail

    - #### fire

          public static <S extends HasEventResizedHandlers & HasHandlers> void fire(S source,
                                                                   JavaScriptObject jsObj)

      Deprecated.
      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static GwtEvent.Type<EventResizedHandler> getType()

      Deprecated.
      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(EventResizedHandler handler)

      Deprecated.
      Specified by:
        `dispatch` in class `GwtEvent<EventResizedHandler>`

    - #### getAssociatedType

          public final GwtEvent.Type<EventResizedHandler> getAssociatedType()

      Deprecated.
      Overrides:
        `getAssociatedType` in class `GwtEvent<EventResizedHandler>`

    - #### cancel

          public void cancel()

      Deprecated.
      Call this method to disallow the resize
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Deprecated.
      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getNewDate

          public java.util.Date getNewDate()

      Deprecated.
      new end date and time that event is being resized to
      Returns:
        new end date and time that event is being resized to

    - #### getEvent

          public CalendarEvent getEvent()

      Deprecated.
      the event as it will be after this resize
      Returns:
        the event as it will be after this resize